name: Publish Docker image

on:
  push:
    branches: [ "main" ]

jobs:
  push_to_registry:
    name: Push Docker image to Docker Hub
    runs-on: ubuntu-latest
    steps:
      - name: Check out the repo
        uses: actions/checkout@v4

      - name: Log in to Docker Hub
        uses: docker/login-action@v1
        with:
          registry: git.gnm.dev
          username: ${{ github.actor }}
          password: ${{ secrets.GT_TOKEN }}

      - name: Build and push Docker image
        uses: docker/build-push-action@v2
        with:
          context: .
          push: true
          tags: git.gnm.dev/Mathias/PerfectMarketGame:latest

      - name: Image digest
        run: echo ${{ steps.docker_build.outputs.digest }}